hspec-contrib-0.5.2: Contributed functionality for Hspec

Safe Haskell | None
Language | Haskell2010

Test.Hspec.Contrib.Retry

Description

Synopsis

- retryWith :: Int -> a -> Retry a

# Documentation

retryWith Source #

Arguments

:: Int | number of retries, when this number is 1, just evaluate example and finish.
-> a | retried example
-> Retry a | Retry is instance of Example.

Retry evaluating example that may be failed until success.